Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTOAIItem Class Reference

Inheritance diagram for SPTOAIItem:

[legend]
Collaboration diagram for SPTOAIItem:

[legend]
List of all members.

## Public Member Functions
| SPTOAIItem ($ItemId, $SearchInfo=NULL)
| GetId ()
| GetDatestamp ()
| GetValue ($ElementName)
| GetQualifier ($ElementName)
| GetSets ()
| GetSearchInfo ()
| Status ()
| NormalizeForSetSpec ($Name)
## Public Attributes
| $Id
| $Resource
| $LastStatus
| $SearchInfo

## Detailed Description

Definition at line 495 of file SPTOAIServer.php.

## Member Function Documentation

SPTOAIItem::GetDatestamp | ( |  | ) |

Reimplemented from OAIItem.

Definition at line 537 of file SPTOAIServer.php.

SPTOAIItem::GetId | ( |  | ) |

Reimplemented from OAIItem.

Definition at line 535 of file SPTOAIServer.php.

SPTOAIItem::GetQualifier | ( | $ | ElementName | ) |

Reimplemented from OAIItem.

Definition at line 568 of file SPTOAIServer.php.

Referenced by GetValue().

Here is the caller graph for this function:

SPTOAIItem::GetSearchInfo | ( |  | ) |

Reimplemented from OAIItem.

Definition at line 632 of file SPTOAIServer.php.

SPTOAIItem::GetSets | ( |  | ) |

Reimplemented from OAIItem.

Definition at line 592 of file SPTOAIServer.php.

References MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and NormalizeForSetSpec().

SPTOAIItem::GetValue | ( | $ | ElementName | ) |

Reimplemented from OAIItem.

Definition at line 545 of file SPTOAIServer.php.

References GetQualifier().

SPTOAIItem::NormalizeForSetSpec | ( | $ | Name | ) |

Definition at line 651 of file SPTOAIServer.php.

Referenced by GetSets().

Here is the caller graph for this function:

SPTOAIItem::SPTOAIItem | ( | $ | ItemId,
|  | $ | SearchInfo = `NULL` |
| ) |  |  |

Definition at line 500 of file SPTOAIServer.php.

References $SearchInfo.

SPTOAIItem::Status | ( |  | ) |

Reimplemented from OAIItem.

Definition at line 637 of file SPTOAIServer.php.

## Member Data Documentation

SPTOAIItem::$Id

Definition at line 645 of file SPTOAIServer.php.

SPTOAIItem::$LastStatus

Definition at line 647 of file SPTOAIServer.php.

SPTOAIItem::$Resource

Definition at line 646 of file SPTOAIServer.php.

SPTOAIItem::$SearchInfo

Definition at line 648 of file SPTOAIServer.php.

Referenced by SPTOAIItem().

The documentation for this class was generated from the following file:

- SPTOAIServer.php